# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.1.4](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-textbox@1.1.3...@billogram/foundation-textbox@1.1.4) (2021-06-24)

**Note:** Version bump only for package @billogram/foundation-textbox



## [1.1.3](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-textbox@1.1.2...@billogram/foundation-textbox@1.1.3) (2021-06-17)

**Note:** Version bump only for package @billogram/foundation-textbox



## [1.1.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-textbox@1.1.1...@billogram/foundation-textbox@1.1.2) (2021-05-04)

**Note:** Version bump only for package @billogram/foundation-textbox



## [1.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-textbox@1.1.0...@billogram/foundation-textbox@1.1.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-textbox@1.0.1...@billogram/foundation-textbox@1.1.0) (2021-01-10)

### Bug Fixes

* Use arrow functions for useCallback callbacks ([8ee4239e](https://github.com/billogram/frontend-foundation/commit/8ee4239e))
* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-textbox ([851c7ad1](https://github.com/billogram/frontend-foundation/commit/851c7ad1))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-textbox@1.0.1) (2020-01-22)

### Bug Fixes

* Align icon symbols ([21476be2](https://github.com/billogram/frontend-foundation/commit/21476be2))
* Use 4px border-radius ([41cb8169](https://github.com/billogram/frontend-foundation/commit/41cb8169))
* Use correct janitor mappings ([cabd0bc3](https://github.com/billogram/frontend-foundation/commit/cabd0bc3))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Set line height to actual available space ([a0bdaf05](https://github.com/billogram/frontend-foundation/commit/a0bdaf05))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Remove inconsistencies between money textbox and textbox ([f04dcf37](https://github.com/billogram/frontend-foundation/commit/f04dcf37))
* Set explicit background textbox ([ea1f0f23](https://github.com/billogram/frontend-foundation/commit/ea1f0f23))
* Don't track text state for textbox ([aa6f3910](https://github.com/billogram/frontend-foundation/commit/aa6f3910))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Update enum for input mode ([6096a95f](https://github.com/billogram/frontend-foundation/commit/6096a95f))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Don't allow leading comma/dot for types that do not support it ([499c10b8](https://github.com/billogram/frontend-foundation/commit/499c10b8))
* Support forward ref for money/search textboxes ([060955e0](https://github.com/billogram/frontend-foundation/commit/060955e0))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Add inputmode to FoundationTextbox ([866b57c1](https://github.com/billogram/frontend-foundation/commit/866b57c1))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationMoneyTextbox ([4183c55b](https://github.com/billogram/frontend-foundation/commit/4183c55b))
* Implement FoundationSearchTextbox ([d0b97c05](https://github.com/billogram/frontend-foundation/commit/d0b97c05))
* Implement FoundationTextboxIconSymbol/FoundationTextboxTextSymbol ([9b7063de](https://github.com/billogram/frontend-foundation/commit/9b7063de))
* Implement FoundationTextbox ([4ec3843b](https://github.com/billogram/frontend-foundation/commit/4ec3843b))
* Scaffold out @billogram/foundation-textboxes ([a10d59a8](https://github.com/billogram/frontend-foundation/commit/a10d59a8))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-textbox@1.0.0) (2020-01-20)

### Bug Fixes

* Use correct janitor mappings ([cabd0bc3](https://github.com/billogram/frontend-foundation/commit/cabd0bc3))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Set line height to actual available space ([a0bdaf05](https://github.com/billogram/frontend-foundation/commit/a0bdaf05))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Remove inconsistencies between money textbox and textbox ([f04dcf37](https://github.com/billogram/frontend-foundation/commit/f04dcf37))
* Set explicit background textbox ([ea1f0f23](https://github.com/billogram/frontend-foundation/commit/ea1f0f23))
* Don't track text state for textbox ([aa6f3910](https://github.com/billogram/frontend-foundation/commit/aa6f3910))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Update enum for input mode ([6096a95f](https://github.com/billogram/frontend-foundation/commit/6096a95f))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Don't allow leading comma/dot for types that do not support it ([499c10b8](https://github.com/billogram/frontend-foundation/commit/499c10b8))
* Support forward ref for money/search textboxes ([060955e0](https://github.com/billogram/frontend-foundation/commit/060955e0))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Add inputmode to FoundationTextbox ([866b57c1](https://github.com/billogram/frontend-foundation/commit/866b57c1))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Implement FoundationMoneyTextbox ([4183c55b](https://github.com/billogram/frontend-foundation/commit/4183c55b))
* Implement FoundationSearchTextbox ([d0b97c05](https://github.com/billogram/frontend-foundation/commit/d0b97c05))
* Implement FoundationTextboxIconSymbol/FoundationTextboxTextSymbol ([9b7063de](https://github.com/billogram/frontend-foundation/commit/9b7063de))
* Implement FoundationTextbox ([4ec3843b](https://github.com/billogram/frontend-foundation/commit/4ec3843b))
* Scaffold out @billogram/foundation-textboxes ([a10d59a8](https://github.com/billogram/frontend-foundation/commit/a10d59a8))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
