import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import FoundationTextbox from './FoundationTextbox';
import FoundationTextboxIconSymbol from './FoundationTextboxIconSymbol';

function FoundationSearchTextbox(props, ref) {
  return /*#__PURE__*/React.createElement(FoundationTextbox, _extends({}, props, {
    ref: ref,
    symbol: /*#__PURE__*/React.createElement(FoundationTextboxIconSymbol, {
      icon: "search"
    })
  }));
}

export default /*#__PURE__*/React.forwardRef(FoundationSearchTextbox);
//# sourceMappingURL=FoundationSearchTextbox.js.map